/*
  Persistence of Vision Ray Tracer Scene Description File

  Simple heightfield generator (uses POV-Ray 16bit heightfield
  format).
  
  --
  Jaime Vives Piqueres, 2007-2008.

*/
global_settings{
 hf_gray_16
 noise_generator 1 // I like plateau!
}
#include "colors.inc"
#include "functions.inc"

// control
#declare r_gen=seed(424); // random seed for texture placement
#declare tb=1;            // patern turbulence
#declare sf=.5;           // scaling factor

// basic pigment
#declare p_terrain=
pigment{
 bumps scale .5
}
// grayscale texture randomly translated
#declare t_terrain=
texture{
 pigment{
  cells scale 2
  pigment_map{
   [0 p_terrain]
   [1 p_terrain translate sf*2]
  }
  warp{turbulence tb}
 }
 finish{ambient 1}
 scale rand(r_gen)*sf
 translate 10000*rand(r_gen)
}

// textured plane to take the shot
plane{z,0
 texture{t_terrain 
 }
}

// take a square shot
camera{
 location <0,0,-1>
 up 1*y right 1*y
 angle 90
 look_at 0
 //aperture .2 blur_samples 7*8 focal_point 1*z variance 0 // to avoid external postprocessing (slow)
}
