/*
  Persistence of Vision Ray Tracer Scene Description File

  Simple slope map generator for heightfields. Renders a 16bit
  grayscale image where the brighter pixels correspond to the
  stepper slope.
  
  --
  Jaime Vives Piqueres, 2007-2008.

*/
global_settings{hf_gray_16}

#include "functions.inc"

// file to extract slope from
#declare hf_file="hf_convert"

// sloped texture with autoilluminated finish
#declare t_terrain_slope=
texture{
 pigment{
  slope y 
  color_map{
   [0.00 rgb 0]
   [0.50 rgb 1]
   [0.67 rgb 1]
   [0.75 rgb 0]
   [1.00 rgb 0]
  }
 }
 finish{brilliance 0 ambient 1}
}

// create a heightfield from the bitmat
#declare terrain=
height_field{
 tga hf_file
 translate -.5 
 scale <2,1,2>
 texture{t_terrain_slope}
}
object{terrain}

// take a square shot
camera{
 orthographic
 location <0,0,-1>
 up 1*y right 1*x
 angle 90
 look_at 0
 rotate 90*x
}

