/*
  Persistence of Vision Ray Tracer Scene Description File

  Borrowed from Tierra v1.0 - Cirrus shell include

  Note: uses the DomeSize variable from Skylight.inc
  
  --   
  Jaime Vives Piqueres, 2007-2008.

*/

#if (use_cirrus)

// basic cloud pigment maped spherically
#declare d_base=
density{
   Cirrus_Density
   color_map{
     [0.00 rgb 0]
     [(1-Cirrus_Level) rgb 0]
     [(1-Cirrus_Level) rgb 0]
     [(1-Cirrus_Level)+Cirrus_Border rgb 1]
     [1.00 rgb 1]
   }
   warp{spherical}
   // changing default orientation to match scene orientation
   rotate 90*x
   rotate 360*rand(r_cirrus)*z
}

// density with a tiny layer of clouds
#declare d_clouds=
density{
 spherical
 density_map{
  [0.0 d_base]
  [Cirrus_Flatness d_base]
  [Cirrus_Flatness rgb 0]
  [1.0 rgb 0]
 }
}

// shell sphere with media cirrus
difference{
 sphere{0,1}
 sphere{0,1-Cirrus_Flatness}
 texture{pigment{rgbt 1}}
 interior{  
  media{
   intervals Cirrus_Intervals
   absorption .1*Cirrus_Brightness
   scattering{1,.1*Cirrus_Brightness}
   density{
    pigment_pattern{cylindrical scale 10 warp{turbulence .5} scale .1}
    density_map{
     [0 d_clouds]
     [Cirrus_Aperture d_clouds]
     [Cirrus_Aperture+Cirrus_Border*.5 rgb 0]
     [1 rgb 0]
    }
   }
  }
 }
 scale DomeSize
 translate (-DomeSize+Cirrus_Flatness*DomeSize+Cirrus_Height)*y
 hollow
}

#end
