/*
  Persistence of Vision Ray Tracer Scene Description File

  Borrowed from Tierra v1.0 skylight include

  --   
  Jaime Vives Piqueres, 2007-2008.

*/
 
// radomize position if not specified
#ifndef(Al)    #declare Al=int(70*rand(r_sun)); #end
#ifndef(Az)    #declare Az=int(360*rand(r_sun)); #end
#ifndef(North) #declare North=<-1+2*rand(r_sun),0,-1+2*rand(r_sun)>; #end

// skylight params
#declare Intensity_Mult   =1; 
#declare Max_Vertices   =500;
#declare DomeSize=100000;
#include "CIE_Skylight"

// sunlight based on position
#declare c_sun=Daylight(4500+(2000*Al/90));
light_source{ 
 SolarPosition, 
 Light_Color(c_sun, 2+2*Al/90)
 parallel
 looks_like{
   sphere{0,DomeSize*.11
    pigment{rgb c_sun}
    finish{ambient Light_Color(c_sun, 4*pi) brilliance 1 diffuse 0}
    hollow no_shadow no_image
   }
 }
}

// fill light (ambient) : multiple shadowless lights
#declare c_ambient=SunColor;
#declare k_ambient=.1;
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -45*x
 rotate 0*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 45*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 90*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 135*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 180*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 225*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 270*y
}
light_source{ 
 DomeSize*.999*z
 Light_Color(c_ambient,pi*k_ambient)
 parallel
 shadowless
 media_attenuation off
 media_interaction off
 rotate -Al*x
 rotate 315*y
}

// faked haze 
#declare HazeColor=SunColor;
fog{
 fog_type 2
 color rgb HazeColor
 fog_alt haze_alt
 distance haze_distance
}
