/*
  Persistence of Vision Ray Tracer Scene Description File

  Borrowed from Tierra v1.0 water include

  --   
  Jaime Vives Piqueres, 2007-2008.

*/

#if (use_water)

// water surface function: a bunch of cosines
#declare nw=Water_Waves;
#declare iw=0;
#declare f_water=
function{
 pigment{
    average
    pigment_map{
    #while (iw<nw)
     [pigment_pattern{
       #if (rand(r_water>.5))
       ripples
       #else
       waves
       #end
       turbulence .3+.6*rand(r_water) 
       poly_wave .5+2.5*rand(r_water)
       scale .5+rand(r_water)
       translate 10000*rand(r_water)
       rotate 360*rand(r_water)
      }
     ]
     #declare iw=iw+1;
    #end
    } 
   scale Water_Scale
 }
}

// *** water material ***
 #declare t_water=
 texture{
  #if (Water_Media)
  pigment{rgbt 1}  
  #else
  pigment{rgbt Water_Color filter 0.9}
  #end
  normal{function{f_water(x,y,z).gray} 1}
  finish{
   reflection{.1,1 fresnel} //conserve_energy
  }
 }
 #declare i_water=
 interior{
  ior 1.33 
  #if (Water_Media)
  media{
   absorption .1
   scattering{1,Water_Color*.1}
  }
  #else
  fade_distance 1
  fade_color rgb Water_Color
  fade_power 2
  #end
 }
  #declare m_water=
  material{
   texture{t_water}
   interior{i_water}
  }

// *** water plane ***
#declare water=
plane{y, 0
 hollow
 translate Water_Height*y
 material{m_water}
}
object{water}

#end // use_water
